function initQCM(){
    var btnDisplayed = new Array();
	var messagesQCM = $('#qcm_messages');
	var boutonsQCM = $('#qcm_boutons');
	
	for (var i=0 ; i < nbQuestions ; i++ ) {
		var numQuestion = Number(i+1);
		var question = $('#q'+numQuestion);
		question.hide();
	};
	
	//on cache les messages
	messagesQCM.find('.messagePopup').hide();
	//et les boutons
	boutonsQCM.find('.btnQCM').hide();
	$('#qcm_score').hide();
	$("#btnReloadQCM").hide();
	$('#qcm_valider').show();
	afficheQuestion($('#q1'));
	
	//On ajoute les évènements
	function clickCheck(){
		if(typeExercice == 'qcu'){
			$(this).siblings().removeClass('c_on');
			$(this).siblings().addClass('c_off');
		}
		if($(this).hasClass('c_off')){
			$(this).removeClass('c_off');
			$(this).addClass('c_on');
		}else{
			$(this).removeClass('c_on');
			$(this).addClass('c_off');
		}
	}
	$('#qcm_valider').click(function(){
		$('.messagePopup').hide();
		var currentQ = $('#listeQuestions .questions:visible');
	
		if(currentQ.find('.pictoAide').size() == 0) {
            $('#blocIndice').empty();
			$('#blocIndice').append('<div class="textMessage"><p>Votre réponse est inexacte.</p></div>');
        }
        else { 
            $('#blocIndice').empty();
			$('#blocIndice').append('<div class="textMessage"><p>Votre réponse est inexacte.<br/> Consultez le document d’aide en cliquant sur l’ampoule.</p></div>');
        }
        
		boutonsQCM.find('.btnQCM').hide();
		var qID = currentQ.attr('id');
		if(currentQ.find('.c_on').size() == 0){
			//si aucune coche
			$('#blocVide').show();
			$('#qcm_valider').show();
		}else{
			$('.label_check').unbind('mouseup', clickCheck);
			currentQ.find('.label_check').unbind('click', clickCheck);
			currentQ.find('.label_check').css('cursor', 'default');
			var faux = false;
			var myArr = Array();
			currentQ.find('.label_check').each(function(){
				myArr.push(Array(currentQ.attr('id')+"__"+$(this).attr('id'), $(this).hasClass('c_on')));
				if($(this).attr('data-rep') == "0" && $(this).hasClass('c_on') || $(this).attr('data-rep') == "1" && $(this).hasClass('c_off')){
					faux = true;
				}
			});
			if(faux){
				var tent = currentQ.attr('data-nbtent');
				currentQ.attr('data-nbtent', Number(tent)+1);
				if(currentQ.attr('data-nbtent') < nbTentatives){
                    var currentQ = $('#listeQuestions .questions:visible');
                    currentQ.find('div.c_on').each(function(){
                        if($(this).attr('data-rep') == '1'){
                            $('<div class="c_bon"></div>').insertAfter($(this).find('.coche'));
                            $(this).find('.coche').remove();
					   $('<div class="picto_bon"></div>').insertBefore($(this).find('.c_bon'));
                            $(this).unbind(); 
                            $(this).css('cursor', 'default');
                        }else{
                            $('<div class="c_faux"></div>').insertAfter($(this).find('.coche'));
                            $(this).find('.coche').remove();
					   $('<div class="picto_faux"></div>').insertBefore($(this).find('.c_faux'));
                            $(this).unbind(); 
                            $(this).css('cursor', 'default');
                        }
                    });
                    $('#qcm_recommencer').show();
					$('#blocIndice').show();
				}else{
                    $('#blocFaux').show();
					$('#qcm_reponse').show();
					if(currentQ.next('.questions').size() > 0) {
						$('#qcm_suivante').show();
					}
					else{
						$('#qcm_btnScoreFinal').show();
						$('#btnReloadQCM').show();
					}
					$('#navQCM>.qcm_btnNav').eq(parseInt(qID.substring(1, qID.length))-1).css('background-color', '#A50909');
				}
			}else{
				$('#blocBon').show();
                var currentQ = $('#listeQuestions .questions:visible');
                currentQ.find('div.c_on').each(function(){
                    if($(this).attr('rep') == '1'){
                        $('<div class="c_bon"></div>').insertAfter($(this).find('.coche'));
                        $(this).find('.coche').remove();
				    $('<div class="picto_bon"></div>').insertBefore($(this).find('.c_bon'));
                        $(this).unbind(); 
                        $(this).css('cursor', 'default');
                    }
                });
				if(currentQ.next('.questions').size() > 0){
					$('#qcm_suivante').show();
				}else{
					$('#qcm_btnScoreFinal').show();
					$('#btnReloadQCM').show();
				}
				$('#navQCM>.qcm_btnNav').eq(parseInt(qID.substring(1, qID.length))-1).css('background-color', '#237C20');
			}
		}
	});
	
	$('#qcm_recommencer').click(function(){
		$('.messagePopup').hide();
		var currentQ = $('#listeQuestions .questions:visible');
		$('.label_check').each(function(){
			if($(this).find('div.c_faux').size() == 0){
				$(this).bind('mouseup', clickCheck);
				$(this).css('cursor', 'pointer');	
			}
		});
		$('.label_check').find('.picto_faux').next('.c_faux').addClass('decalePicto');
		$('.picto_faux').remove();
			
		currentQ.find('.label_check').removeClass('c_on');
		currentQ.find('.label_check').addClass('c_off');
		boutonsQCM.find('.btnQCM').hide();
		$('#qcm_valider').show();
	});
	$('#qcm_suivante').click(function(){
		var currentQ = $('#listeQuestions .questions:visible');
		var nextQ = currentQ.next();
		afficheQuestion(nextQ);
		currentQ.hide();
		boutonsQCM.find('.btnQCM').hide();
		$('#qcm_valider').show();
	});
	$('#qcm_reponse').click(function(){
		$('.messagePopup').hide();
		$(this).hide();
		var currentQ = $('#listeQuestions .questions:visible');
		currentQ.find('.label_check').each(function(){
			if($(this).attr('data-rep') == '1'){
				$('<div class="c_bon"></div>').insertAfter($(this).find('.coche'));
			}else{
				$('<div class="c_faux"></div>').insertAfter($(this).find('.coche'));
			}
		});
	});
	$('#qcm_btnScoreFinal').click(function(){
		$('.messagePopup').hide();
		var score = 0;
		$('.questions').each(function(i){
			var faux = false;
			$(this).find('.label_check').each(function(){
				if($(this).attr('data-rep') == "0" && $(this).hasClass('c_on') || $(this).attr('data-rep') == "1" && $(this).hasClass('c_off')){
					faux = true;
				}
			});
			if(!faux)
				score++;
		});
		$('#qcm_score').show();
		$('#qcm_score .textMessage span').text(score+' / '+$('.questions').size());
	});
	$('.messagePopup .fermer').click(function(){
		$('.messagePopup').hide();
	});
	$('#btnReloadQCM').click(function(){
		reinitQCM();
	});
	function reinitQCM(){
		location.reload();
	}
	
	
	function afficheQuestion(pQuestion){
		$('.messagePopup').hide();
		$('#qcm_btnScoreFinal').hide();
		$(this).removeClass('inactif');
		pQuestion.show();
		var qID = pQuestion.attr('id');
		pQuestion.find('.label_check').bind('mouseup', clickCheck);
	}
	
}